# OqlToken Class Reference
[Object Query Language based on Criteria]

List of all members.

## Public Member Functions

| setValue ($value)
| getValue ()
| setRawValue ($rawValue)
| getRawValue ()
| setType ($type)
| getType ()
| setLine ($line)
| getLine ()
| setPosition ($position)
| getPosition ()

## Static Public Member Functions

static | create ()
static | make ($value, $rawValue, $type, $line, $position)

## Public Attributes

const | NEW_LINE = 1
const | STRING = 2
const | NUMBER = 3
const | BOOLEAN = 4
const | NULL = 5
const | SUBSTITUTION = 6
const | KEYWORD = 7
const | AGGREGATE_FUNCTION = 8
const | IDENTIFIER = 9
const | PARENTHESES = 10
const | PUNCTUATION = 11
const | COMPARISON_OPERATOR = 12
const | ARITHMETIC_OPERATOR = 13

## Private Attributes

| $value = null
| $rawValue = null
| $type = null
| $line = null
| $position = null

## Detailed Description

Definition at line 15 of file OqlToken.class.php.

## Member Function Documentation

static OqlToken::create | ( |  | ) | `[static]`

Returns:
  OqlToken

Definition at line 40 of file OqlToken.class.php.

Referenced by make().

OqlToken::getLine | ( |  | ) |

Definition at line 114 of file OqlToken.class.php.

OqlToken::getPosition | ( |  | ) |

Definition at line 129 of file OqlToken.class.php.

OqlToken::getRawValue | ( |  | ) |

Definition at line 84 of file OqlToken.class.php.

OqlToken::getType | ( |  | ) |

Definition at line 99 of file OqlToken.class.php.

OqlToken::getValue | ( |  | ) |

Definition at line 69 of file OqlToken.class.php.

static OqlToken::make | ( | $ | value,
|  | $ | rawValue,
|  | $ | type,
|  | $ | line,
|  | $ | position |
| ) |  |  | `[static]`

Returns:
  OqlToken

Definition at line 48 of file OqlToken.class.php.

References $line, $position, $rawValue, $type, $value, create(), setLine(), setPosition(), setRawValue(), setType(), and setValue().

Referenced by OqlTokenizer::tokenize().

Here is the call graph for this function:

OqlToken::setLine | ( | $ | line | ) |

Returns:
  OqlToken

Definition at line 107 of file OqlToken.class.php.

References $line.

Referenced by make().

OqlToken::setPosition | ( | $ | position | ) |

Returns:
  OqlToken

Definition at line 122 of file OqlToken.class.php.

References $position.

Referenced by make().

OqlToken::setRawValue | ( | $ | rawValue | ) |

Returns:
  OqlToken

Definition at line 77 of file OqlToken.class.php.

References $rawValue.

Referenced by make().

OqlToken::setType | ( | $ | type | ) |

Returns:
  OqlToken

Definition at line 92 of file OqlToken.class.php.

References $type.

Referenced by make().

OqlToken::setValue | ( | $ | value | ) |

Returns:
  OqlToken

Definition at line 62 of file OqlToken.class.php.

References $value.

Referenced by make().

## Member Data Documentation

OqlToken::$line = null`[private]`

Definition at line 34 of file OqlToken.class.php.

Referenced by make(), and setLine().

OqlToken::$position = null`[private]`

Definition at line 35 of file OqlToken.class.php.

Referenced by make(), and setPosition().

OqlToken::$rawValue = null`[private]`

Definition at line 32 of file OqlToken.class.php.

Referenced by make(), and setRawValue().

OqlToken::$type = null`[private]`

Definition at line 33 of file OqlToken.class.php.

Referenced by make(), and setType().

OqlToken::$value = null`[private]`

Definition at line 31 of file OqlToken.class.php.

Referenced by make(), and setValue().

const OqlToken::AGGREGATE_FUNCTION = 8

Definition at line 24 of file OqlToken.class.php.

Referenced by OqlParser::checkIdentifier(), OqlSelectPropertiesParser::getArgumentExpression(), and OqlTokenizer::importTokenValue().

const OqlToken::ARITHMETIC_OPERATOR = 13

Definition at line 29 of file OqlToken.class.php.

Referenced by OqlParser::checkUnaryMinus(), OqlParser::getArithmeticExpression(), and OqlParser::isArithmeticExpression().

const OqlToken::BOOLEAN = 4

Definition at line 20 of file OqlToken.class.php.

Referenced by OqlParser::checkConstant(), OqlParser::getConstantExpression(), OqlParser::getLogicExpression(), and OqlTokenizer::importTokenValue().

const OqlToken::COMPARISON_OPERATOR = 12

Definition at line 28 of file OqlToken.class.php.

Referenced by OqlParser::getLogicExpression(), and OqlTokenizer::importTokenValue().

const OqlToken::IDENTIFIER = 9

Definition at line 25 of file OqlToken.class.php.

Referenced by OqlParser::checkIdentifier().

const OqlToken::KEYWORD = 7

Definition at line 23 of file OqlToken.class.php.

Referenced by OqlParser::checkIdentifier(), OqlParser::checkKeyword(), OqlParser::getLogicExpression(), OqlTokenizer::importTokenValue(), and OqlTokenizer::tokenize().

const OqlToken::NEW_LINE = 1

Definition at line 17 of file OqlToken.class.php.

Referenced by OqlTokenizer::tokenize().

const OqlToken::NULL = 5

Definition at line 21 of file OqlToken.class.php.

Referenced by OqlParser::checkConstant(), OqlParser::getConstantExpression(), OqlParser::getLogicExpression(), and OqlTokenizer::importTokenValue().

const OqlToken::NUMBER = 3

Definition at line 19 of file OqlToken.class.php.

Referenced by OqlParser::checkConstant(), OqlParser::getArithmeticArgumentExpression(), OqlParser::getConstantExpression(), OqlTokenizer::importTokenValue(), OqlSelectParser::limitState(), and OqlSelectParser::offsetState().

const OqlToken::PARENTHESES = 10

Definition at line 26 of file OqlToken.class.php.

Referenced by OqlParser::closeParentheses(), OqlParser::isArithmeticExpression(), and OqlParser::openParentheses().

const OqlToken::PUNCTUATION = 11

Definition at line 27 of file OqlToken.class.php.

Referenced by OqlParser::getCommaSeparatedList().

const OqlToken::STRING = 2

Definition at line 18 of file OqlToken.class.php.

Referenced by OqlParser::checkConstant(), OqlParser::getConstantExpression(), OqlParser::getLogicExpression(), OqlTokenizer::importTokenValue(), and OqlTokenizer::tokenize().

const OqlToken::SUBSTITUTION = 6

Definition at line 22 of file OqlToken.class.php.

Referenced by OqlParser::checkConstant(), OqlParser::getArithmeticArgumentExpression(), OqlParser::getConstantExpression(), OqlParser::getLogicExpression(), OqlTokenizer::importTokenValue(), OqlSelectParser::limitState(), OqlParser::makeQueryParameter(), and OqlSelectParser::offsetState().

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlToken.class.php